<id>
Banned Users
</id>

<version>
1.1
</version>

<mod info>
This mod allows Admins and Gmods to view Banned Users on BoardIndex.
</mod info>

<author>
Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li)
</author>

<homepage>
http://yabb.xost.ru/ and http://www.grafix-world.nl
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$Bannedusers = "Banned_Users|Boris Tjuvanov (<a href=\"http://www.mf-b.ru\" target=\"_blank\">MF-B</a> and Jeffrey Man (<a href=\"http://www.grafix-world.nl\" target=\"_blank\">Jet Li</a>)|This mod allows Admins and Gmods to view Banned Users on BoardIndex.|1.1|03.03.2007";
	push (@installed_mods, "$Bannedusers ");
</add before>

<edit file>
Languages/English/BoardIndex.lng
</edit file>

<search for>
'142' => "Members",
</search for>

<add after>
'bbanning' => 'Banned Users: ',
</add after>

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
	$boardindex_template =~ s/<yabb ims>/$ims/g;
</search for>

<add before>
	if ($iamadmin || $iamgmod) { &Banning_Users; }
</add before>

<search for>
1;
</search for>

<add before>
sub Banning_Users {
	fopen(BAN, "$vardir/ban.txt");
	my @banlist = <BAN>;
	fclose(BAN);
      foreach my $line (@banlist) {
            chomp $line;
            my ($bantype, $ubanned) = split(/\|/, $line);
            if ($bantype eq 'U' && $ubanned ne '') { 
                  my @banned = split(/\,/, $ubanned);
                  foreach my $buser (@banned) {
                        chomp $buser;
                        if (!${$uid.$buser}{'password'}) { &LoadUser($buser); }
                        $bbanned .= qq~<a href="$scripturl?action=viewprofile;username=$useraccount{$buser}"><b>${$uid.$buser}{'realname'}</b></a>, ~;
                  }
            }
      }
      $bbanned =~ s~, \Z~~;
      
      if ($bbanned ne '') {
            $users_banning = qq~
            <tr>
            <td class="windowbg" width="5%" valign="middle" align="center">
                  <img src="$imagesdir/online.gif" border="0" alt="" />
            </td>
            <td class="windowbg2" valign="top" align="left">
                  <span class="small">$boardindex_txt{'bbanning'}$bbanned</span>
            </td>
            </tr>
            ~;
            $boardindex_template =~ s/<yabb users_banning>/$users_banning/g;
      } else {
            $boardindex_template =~ s/<yabb users_banning>//g;
      }
}

</add before>

<edit file>
Templates/default/BoardIndex.template
</edit file>

<search for>
<tr>
	<td align="left" class="catbg" colspan="2">
		$boardindex_txt{'158'}
	</td>
</tr>
</search for>

<add before>
<!-- ## Start Banned users mod ## -->
<yabb users_banning>
<!-- ## End Banned users mod ## -->

</add before>